#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( imports )
add_subdirectory( common )
add_subdirectory( licenses )

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${CMAKE_SOURCE_DIR}/src/profileengine/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevappwizard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevappwizard.rc DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


##### libkdevappwizard (module) #################

tde_add_kpart( libkdevappwizard AUTOMOC
  SOURCES
    appwizardfactory.cpp appwizardpart.cpp appwizarddlg.cpp
    importdlg.cpp filepropspagebase.ui filepropspage.cpp
    appwizarddlgbase.ui importdlgbase.ui misc.cpp vcs_form.ui
    kdevfile.cpp kdevlicense.cpp profilesupport.cpp
  LINK profileengine-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
